/*
  -------------------- file driver.h
  Created 16 Nov 93 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1993 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _161193_231958
#define _161193_231958

#include "libinclude/ntup.h"

#define ALG_TABU      0
#define ALG_BACK1     1
#define ALG_BACK2     2
#define ALG_WIDE1     3

/* data structure used for passinge auxiliary information to driver
*/
struct aux_struct {
		int tabu_max_iterations;
		int back_action;
		int back_print;
		double back_max_nodes;
		double back2_timeslice_nodes;
		int back2_restrict_width;
		int wide1_max_width;
};

void driver P((	FILE *, const struct to_ntup_struct *,
	const struct aux_struct * const, const int, const char * ));

#endif /* _161193_231958 */
