/*
  -------------------- file util.c

	Copyright (C) 1992 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <stdio.h>
#include <errno.h>
#include "our_common.h"
#include "util.h"

void
fatal(errmess)
char  const *const errmess;   /* use NULL for no auxiliary error message */
{
  extern const char *const Progname;
  extern void perror P(( const char * ));
  extern int fflush P(( FILE * ));

  fflush(stdout);         /* do not mix our output (stderr) with stdout */
  fprintf(stderr,"\n");
  if (errno)
    perror("Message from errno");
  if (errmess)
    (void) fprintf(stderr,"********** Fatal error in %s:\n%s\n", Progname, errmess);
  else
    (void) fprintf(stderr,"********** Fatal error in %s.\n", Progname);
  (void) fprintf(stderr,"********** Exiting.\n");
  exit(2);
}
